* {
    margin: 0;
    padding: 0;
    font-size: 16px;
    line-height: 1.4;
    border: none;
    box-sizing: border-box;
    letter-spacing: 0.3px;
    transition: 240ms;
    overflow-x: hidden;
    overflow-y: scroll;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}
*::-webkit-scrollbar { width: 0 !important; }
body {
    color: rgb( var( --r1 ) );
    background: rgb( var( --r0 ) );
    list-style: none;
}
a, a * {
    color: rgb( var( --r2 ) );
}
a, a u, a b, button, .button {
    cursor: pointer;
    text-decoration: none;
}
select { cursor: pointer; }
input:focus, textarea:focus, select:focus { outline: none; }
input::placeholder {
    font-size: 16px;
    color: rgb( var( --r1 ), 0.5 );
}
img {
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    image-rendering: -webkit-optimize-contrast
}
h1 { font-size: 32px; } h1 * { font-size: 32px; font-weight: bold; vertical-align: middle; }
h2 { font-size: 28px; } h2 * { font-size: 28px; font-weight: bold; vertical-align: middle; }
h3 { font-size: 24px; } h3 * { font-size: 24px; font-weight: bold; vertical-align: middle; }
h4 { font-size: 20px; } h4 * { font-size: 20px; font-weight: bold; vertical-align: middle; }
h5 { font-size: 16px; } h5 * { font-size: 16px; font-weight: bold; vertical-align: middle; }
h6 { font-size: 14px; } h6 * { font-size: 14px; font-weight: bold; vertical-align: middle; }
h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
}
p { margin-bottom: 8px; }
hr {
    margin: 25px 0px;
    border-top: 1px solid rgb( var( --r1 ), 0.15 );
}
i.block {
    display: inline-block;
    width: var( --size );
    height: var( --size );
    text-align: center;
    line-height: var( --size );
}
.spin {
    display: inline-block;
    animation: spin 1.5s linear infinite;
} @keyframes spin { 
    0% {
        transform: rotate( 0deg );
    }
    100% {
        transform: rotate( 360deg );
    }
}
button, a.button {
    display: inline-block;
    padding: 8px 16px;
    background: rgb( var( --r3 ) );
    color: rgb( var( --r1 ) );
    border-radius: 5px;
}
button.stop, a.button.stop {
    background: rgb( var( --r3 ), 0.65 );
    cursor: not-allowed;
}
.stop { pointer-events: none !important; }
.none { display: none !important; }
.scroll {
    overflow-y: scroll;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}
.scroll::-webkit-scrollbar { width: 0 !important; }
.textMore {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.center {
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-display: flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;
}
.mask { position: relative; }
.mask::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background: rgb( var( --maskColor ) );
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}